
GammaLib - Action #652

Feature # 284 (Closed): Rethink the definition of the GTime class

Add unit test for new time class.

12/17/2012 04:12 PM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 3.00 hours

Target version: 00-07-00   

Description

History

#1 - 12/17/2012 10:40 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 12/17/2012 11:22 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Remaining (hours) changed from 3.0 to 0.0

Unit tests have been added for the GTimeReference and the GTime classes. Both tests were successful, expect a precision problem on OpenSolaris

that needed relaxing a little bit the constraint on a value comparison.

#3 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
